DQTOOL(1)

NAME
dqtool - Display the contents of a disk-buffer file created with

SYNOPSIS

dqtool [command] [options]

DESCRIPTION

NOTE: The dqtool application is distributed with the system logging application, and is usually part of the syslog-ng package. The latest version of the syslog-ng application is available at the official syslog-ng website[1].

This manual page is only an abstract, for the complete documentation of syslog-ng, see The Administrator Guide[2].

The dqtool application is a utility that can be used to display and format the messages stored in a disk-buffer file.

THE CAT COMMAND

cat [options] [file]

Use the cat command to display the log messages stored in the disk-buffer (also called disk-queue) file, and also information from the header of the disk queue file. The messages are printed to the standard output (stdout), so it is possible to use grep and other tools to find particular log messages, e.g., dqtool cat /var/log/messages.lgs |grep 192.168.1.1.

The cat command has the following options:

--debug or -d
    Print diagnostic and debugging messages to stderr.

--help or -h
    Display a brief help message.

--template=<template> or -t
    Format the messages using the specified template.

--verbose or -v
    Print verbose messages to stderr.

--version or -V
    Display version information.

Example:

    ./dqtool cat ../var/syslog-ng-00000.qf

The output looks like:

    Disk-buffer state loaded; filename='../var/syslog-ng-00000.qf', qout_length='65', qbacklog_length='0', qoverflow_length='9205', qdisk_length='0'
    Mar  3 10:52:05 tristram localprg[1234]: seq: 0000011630, runid: 1267609923, stamp: 2010-03-03T10:52:05 PADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADD
    Mar  3 10:52:05 tristram localprg[1234]: seq: 0000011631, runid: 1267609923, stamp: 2010-03-03T10:52:05 PADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADDPADD

FILES

/usr/local/bin/dqtool

SEE ALSO

syslog-ng.conf(5)

syslog-ng(8)

    Note

    For the detailed documentation of see The 3.38 Administrator Guide[3]

    If you experience any problems or need help with syslog-ng, visit the syslog-ng mailing list[4].

    For news and notifications about of syslog-ng, visit the syslog-ng blogs[5].

AUTHOR

This manual page was written by the Balabit Documentation Team <documentation@balabit.com>.

COPYRIGHT

NOTES

1.  official syslog-ng website
    https://www.balabit.com/log-management

2.  The Administrator Guide
    https://www.balabit.com/support/documentation/

3.  The 3.38 Administrator Guide
    https://www.balabit.com/documents/syslog-ng-ose-latest-guides/en/syslog-ng-ose-guide-admin/html/index.html

4.  syslog-ng mailing list
    https://lists.balabit.hu/mailman/listinfo/syslog-ng

5.  syslog-ng blogs
    https://syslog-ng.org/blogs/